summaryrefslogtreecommitdiffstats
path: root/bashrc/bin/copy
diff options
context:
space:
mode:
authorAlexander Sulfrian <alexander@sulfrian.net>2011-03-31 04:07:55 +0200
committerAlexander Sulfrian <alexander@sulfrian.net>2011-03-31 04:08:58 +0200
commit5e51020b4e3f2b75f3d48b1261b7a7e624661fe1 (patch)
treefdb73b6bfe5d3f6633683242e3066ed1d1777147 /bashrc/bin/copy
parente1073d43a52269904ce67618275afa523c31cb4f (diff)
downloaddotfiles-5e51020b4e3f2b75f3d48b1261b7a7e624661fe1.tar.gz
dotfiles-5e51020b4e3f2b75f3d48b1261b7a7e624661fe1.tar.xz
dotfiles-5e51020b4e3f2b75f3d48b1261b7a7e624661fe1.zip
OpenBSD compatibility fixes
Diffstat (limited to '')
-rwxr-xr-xbashrc/bin/copy2
1 files changed, 1 insertions, 1 deletions
diff --git a/bashrc/bin/copy b/bashrc/bin/copy
index 1d106ca..80ab385 100755
--- a/bashrc/bin/copy
+++ b/bashrc/bin/copy
@@ -8,7 +8,7 @@ if [[ -z "$1" ]] ; then
fi
# encode files suitable for copy&paste into other terminals
-STR=$(tar cj $@ | base64; exit $PIPESTATUS) || exit $?
+STR=$(tar cjf - $@ | base64; exit $PIPESTATUS) || exit $?
echo "cat << E=O=F | base64 -d | tar xj"
echo "$STR"
echo "E=O=F"